[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# TCustomMaskEdit.KeyDown

Performs actions needed to apply key down messages.

## Declaration

Source position: maskedit.pp line 296

`protected procedure TCustomMaskEdit.KeyDown(`
`var Key: Word;`
`Shift: TShiftState`
`); override;`

## Arguments

`Key` |  | Key code examined in the method.
`Shift` |  | Key modifier examined in the method.

## Description

Calls the inherited KeyDown method. If an edit mask is not assigned in the control, no additional actions are required in the method.

KeyDown handles the following keys, and performs the following actions:

Shift + Left, Shift + Right, Shift + Home, Shift + End
  Ignored
Escape
  Resets text to the un-edited value
Shift + Delete
  Cuts selection to the clipboard
Ctrl + Delete
  Deletes the current selection
Delete
  Deletes the character at the cursor position
Ctrl + Backspace
  Deletes the current selection
Shift + Backspace
  Cuts the current selection to the clipboard
Backspace
  Deletes the character prior to cursor position
Shift + Insert
  Paste from the clipboard
Ctrl + Insert
  Copy to the clipboard
Ctrl + C
  Copy to the clipboard
Ctrl + X
  Cut to the clipboard
Ctrl + V
  Paste from the clipboard
Ctrl + Left, Left
  Select the previous character
Ctrl + Right, Right
  Selects the next character
Home
  Move to the first character in the control
End
  Move to the end of the control
Up, Down
  Ignored
Ctrl + A
  Selects all of the text in the control

## See also

TWinControl.KeyDown |  | Signals OnKeyDown event handlers (when assigned).